Lattice Grid Buy a licence

demo D186

Shadow columns: rate and streak

Speed of change, direction runs, and a sparkline of recent history

shadow: { of, kind: 'rate' }

Building…
Loading a live grid…

The configuration

import * as ng from '@angular/core';
import { Component } from '@angular/core';
import { bootstrapApplication } from '@angular/platform-browser';
import { createGrid } from '@toclocoinc/lattice-grid';
import '@toclocoinc/lattice-grid/css';
import createLatticeGrid from '@toclocoinc/lattice-grid/modules/angular';

const { LatticeGridComponent } = createLatticeGrid({ ng, createGrid });

const columns = [
  { field: 'symbol', title: 'Symbol', layout: { pin: 'start', width: 120 } },
  { field: 'price', title: 'Price', type: 'number' },
  { id: 'rate',  title: 'Per second', shadow: { of: 'price', kind: 'rate' }, type: 'number', format: { signed: true } },
  { id: 'since', title: 'Since move', shadow: { of: 'price', kind: 'sinceUpdate' }, type: 'duration' },
  { id: 'hist',  title: 'Recent', shadow: { of: 'price', kind: 'history' }, cell: { render: 'line' } },
];

const rows = [/* a live price book */];



@Component({
  selector: 'app-root',
  standalone: true,
  imports: [LatticeGridComponent],
  template: '<lattice-grid [config]="grid" style="display:block;height:460px"></lattice-grid>',
})
export class AppComponent {
  grid = {
    rowKey: 'id',
    highlightOnChange: { duration: 500 },
    columns: columns,
    rows: rows,
  };
}

bootstrapApplication(AppComponent);

Lattice Grid Buy a licence

demo D186

Shadow columns: rate and streak

Speed of change, direction runs, and a sparkline of recent history

shadow: { of, kind: 'rate' }

Building…
Loading a live grid…

The configuration

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/lattice-grid.min.css">

<div id="grid"></div>

<script type="module">
  import React from 'https://esm.sh/react@18';
  import { createRoot } from 'https://esm.sh/react-dom@18/client';
  import { createGrid } from 'https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/lattice-grid.esm.min.js';
  import createLatticeGrid from 'https://cdn.jsdelivr.net/npm/@toclocoinc/lattice-grid@1.28.0/modules/react.esm.min.js';

  const LatticeGrid = createLatticeGrid({ React, createGrid });

  const columns = [
    { field: 'symbol', title: 'Symbol', layout: { pin: 'start', width: 120 } },
    { field: 'price', title: 'Price', type: 'number' },
    { id: 'rate',  title: 'Per second', shadow: { of: 'price', kind: 'rate' }, type: 'number', format: { signed: true } },
    { id: 'since', title: 'Since move', shadow: { of: 'price', kind: 'sinceUpdate' }, type: 'duration' },
    { id: 'hist',  title: 'Recent', shadow: { of: 'price', kind: 'history' }, cell: { render: 'line' } },
  ];

  const rows = [/* a live price book */];

  function App() {
    return (
      <LatticeGrid
        rowKey="id"
        highlightOnChange={{ duration: 500 }}
        columns={columns}
        rows={rows}
        style={{ height: '460px' }}
      />
    );
  }

  createRoot(document.getElementById('grid')).render(<App />);
</script>